# Features

## Grundfunktionen in der &Uuml;bersicht

- Alphabetische Liste von Lexikon-Eintr&auml;gen im Shop
- Komfortables Erstellen von Eintr&auml;gen mit WYSIWYG-Editor im Backend
- optional Verlinken/Erkl&auml;ren/&Ouml;ffnen in Popup von Eintr&auml;gen in Kombination mit dem Plugin "Autolinker".

# Dokumentation

## Einstellungen

In diesem Reiter definierst Du allgemeine Einstellungen f&uuml;r Dein Lexikon.

- **SEO-URLs** - Hier kannst Du angeben, ob Lexikon-Eintr&auml;ge unter URLs wie z.B. www.example.com/lexikon/mein-eintrag gefunden werden sollen. Falls diese Option auf "nein" bleibt, wird die URL in der Form www.example.com/lexikon?title=mein-eintrag sein.

- Wenn Du die SEO-URLs verwenden m&ouml;chtest, f&uuml;ge bitte die folgende Zeile in die .htaccess-Datei im Wurzelverzeichnis Deines Shops, direkt nach der Zeile RewriteEngine on ein:

~~~
RewriteRule ^lexikon/([a-z0-9+-]+) /lexikon?title=$1 [R=301,L,NC]
~~~

Falls dein Lexikon unter einer anderen URL wie z.B. mein-shop.de/modelexikon erreichbar sein soll, musst Du die Zeile oben nat&uuml;rlich entsprechend anpassen.


- **Vollst&auml;ndige Buchstaben-Navigation anzeigen?** - Falls aktiviert, werden in der Navigation auf der Lexikon-&Uuml;bersicht alle Buchstaben des Alphabets angezeigt und nicht nur die, zu denen auch Eintr&auml;ge vorhanden sind.

- **Beschreibung k&uuml;rzen nach X Zeichen** - Hier kannst Du angeben, wieviele Zeichen die Beschreibung der einzelnen Eintr&auml;ge auf der Lexikon-&Uuml;bersicht haben soll. Du kannst den Wert -1 eintragen, um den vollst&auml;ndigen Inhalt anzuzeigen.


## Erstellen von Eintr&auml;gen

Um neue Lexikon-Eintr&auml;ge zu erstellen, klick im Administrationsbereich Deines Shops auf Plugins->Plugins->Glossary.

Anschlieend kannst Du im Bereich **Lexikon-Eintrag erstellen** einen Titel, beliebigen Inhalt, die entsprechende Sprache, ggf. SEO-Details und optional einen Link angeben.

Wird das Feld **Link** nicht ausgef&uuml;llt, wird automatisch eine passende URL erstellt (Titel in Kleinbuchstaben).

Erstellst Du z.B. einen Eintrag mit dem Titel "Hausschuh", so wird der Link automatisch zu "hausschuh" und der Eintrag ist in Deinem Shop unter www.example.com/lexikon/hausschuh zu erreichen. Dies ist nur bei Verwendung der SEO-URLs sinnvoll.

Beachte bitte, dass der SEO-Titel nur Gro- und Kleinbuchstaben, die Ziffern 0-9 und das Plus- und Minus-Zeichen beinhalten darf.

**Meta Titel** - Hier kannst Du optional einen Titel angeben, der in der Einzelansicht des Eintrags angezeigt wird. Wird das Feld freigelassen, wird standardm&auml;ig der Titel des Eintrags verwendet.

**Meta Description** - Dieses Feld dient optional der Eingabe einer Meta-Description, die in der Einzelansicht des Eintrags angezeigt wird.

## Aufruf im Shop

Nach der Installation ist das Lexikon unter `www.example.com/lexikon` zu finden.



# Changelog

**1.01 - 31.08.2020**

- fehlerhafte URLs in Sitemap behoben
- fehlerhafte URLs in Breadcrumb behoben

**1.00 - 20.02.2019**

- erstes Release

