{if $is404 === true}
	<h3>Eintrag nicht gefunden</h3>
{elseif $isActivated === false}
	<h3>Plugin ist nicht aktiviert oder Lizenz ist ung&uuml;ltig.</h3>
{else}
	<link type="text/css" rel="stylesheet" href="{$glossaryCssPath}glossary.css" />
	{if !$isPopup}
		<nav aria-label="Navigation" class="letter_navigation">
			<ul class="pagination">
				{foreach name=letternav from=$letterNavigation item=letter}
					<li class="{if isset($letter.href)}{if isset($letter.letter) && $letterToSearch == $letter.letter}active{/if}{else}disabled{/if}">
						<span class="letter-nav-entry{if is_array($letter) && isset($letter.href)} has-link{/if}">
							{if is_array($letter) && isset($letter.href)}
								{if $letterToSearch == $letter.letter}
									{$letter.letter}
								{elseif $glossaryEntriesPerPage == -1}
									<a href="{$letter.href}" onclick="document.location.hash='{$letter.letter}';return false;">{$letter.letter}</a>
								{else}
									<a href="{$letter.href}">{$letter.letter}</a>
								{/if}

							{else}
								{$letter}
							{/if}
						</span>
					</li>
				{/foreach}
				{if $glossaryEntriesPerPage > -1}
					<li>
						<span class="letter-nav-entry show-all has-link"><a href="{$glossaryUrl}">alle</a></span>
					</li>
				{/if}
			</ul>
		</nav>
	{elseif !$isPopup}
		<div class="letter_navigation">
			{foreach name=letternav from=$letterNavigation item=letter}
				<span class="letter-nav-entry{if is_array($letter) && isset($letter.href)} has-link{/if}">{if is_array($letter) && isset($letter.href)}<a href="{$letter.href}">{$letter.letter}</a>{else}{$letter}{/if}</span>
			{/foreach}
			{if $glossaryEntriesPerPage > -1}
				<span class="letter-nav-entry show-all has-link"><a href="{$glossaryUrl}">alle</a></span>
			{/if}
		</div>
	{/if}
	{if $isSingle}
		{if $glossarySingleNavigation === true}
			<nav class="single-pagination" aria-label="...">
				<ul class="pager">
				<li class="prev-next prev">
					{if isset($previousGlossaryEntry)}
						<a href="{$glossaryUrl}{if $glossarySeoUrls === true}/{$previousGlossaryEntry->link}{else}?id={$previousGlossaryEntry->id}{/if}" title="{$previousGlossaryEntry->title}">&laquo; {$previousGlossaryEntry->title}</a>
					{/if}
				</li>
				<li class="prev-next next">
					{if isset($nextGlossaryEntry)}
						<a href="{$glossaryUrl}{if $glossarySeoUrls === true}/{$nextGlossaryEntry->link}{else}?id={$nextGlossaryEntry->id}{/if}" title="{$nextGlossaryEntry->title}">{$nextGlossaryEntry->title} &raquo;</a>
					{/if}
				</li>
				</ul>
			</nav>
		{/if}
		<div class="glossary-entry"{if $isPopup === true} id="custom-content"{/if}>
            {if $isPopup === true}
				<h1>{$glossaryEntry->title}</h1>
            {else}
				<h3>{$glossaryEntry->title}</h3>
            {/if}
			<div class="content">
				{if $glossaryEntry->eval === '1'}
					{eval var=$glossaryEntry->content}
				{else}
					{$glossaryEntry->content}
				{/if}
			</div>
		</div>
	{else}
		<div class="page_navigation">
			{if isset($glossaryPagination)}
				<ul class="pagenavi pagination">
					{if isset($glossaryPagination->prev)}
						<li class="prev">
							<a href="{$glossaryPagination->prev.cURL}">&laquo; {lang key="previous" section="productOverview" alt_section="global"}</a>
						</li>
					{/if}
					{foreach name=seite from=$glossaryPagination->pages item=oNaviSeite}
						<li class="page{if $oNaviSeite.active} selected active{/if}">
							{if isset($oNaviSeite.cURL)}
								<a href="{$oNaviSeite.cURL}">{$oNaviSeite.number}</a>
							{else}
								<a href="#" onclick="return false;">{$oNaviSeite.number}</a>
							{/if}
						</li>
					{/foreach}
					{if isset($glossaryPagination->next)}
						<li class="next">
							<a href="{$glossaryPagination->next.cURL}">{lang key="next" section="productOverview" alt_section="global"} &raquo;</a>
						</li>
					{/if}
				</ul>
			{/if}
		</div>
		{assign var=lastLetter value=""}
		<div class="glossary-entries">
			{foreach from=$glossaryEntries item=entry}
				{if 'mb_substr'|function_exists}
					{assign var=newLastLetter value=$entry->title|mb_substr:0:1|strtoupper}
				{else}
					{assign var=newLastLetter value=$entry->title|substr:0:1|strtoupper}
				{/if}
				{if $newLastLetter|is_numeric}
					{assign var=newLastLetter value="123"}
				{/if}
				{if $newLastLetter != $lastLetter}
					<div class="letter">
						<h3>
							<a name="{$newLastLetter|replace:"Ä":"Ae"|replace:"Ü":"Ue"|replace:"Ö":"Oe"}" href="{$glossaryUrl}?letter={$newLastLetter}">{$newLastLetter}</a>
						</h3>
						{assign var=lastLetter value=$newLastLetter}
					</div>
				{/if}
				<div class="entry">
					<h3>
						<a href="{$glossaryUrl}{if $glossarySeoUrls === true}/{$entry->link}{else}?id={$entry->id}{/if}">{$entry->title}</a>
					</h3>
					<div class="content">
						{if $entry->eval === '1'}
							{eval var=$entry->content}
						{else}
							{$entry->content}
						{/if}
					</div>
				</div>
			{/foreach}
		</div>
	{/if}
{/if}